---
document: modulemd
version: 2
data:
  name: perl-App-cpanminus
  stream: 1.7044
  version: 8000020190628154402
  context: 63feaccd
  arch: ppc64le
  summary: Get, unpack, build and install CPAN modules
  description: >
    This is a CPAN client that requires zero configuration, and stands alone but it's
    maintainable and extensible with plug-ins and friendly to shell scripting.
  license:
    module:
    - MIT
    content:
    - (GPL+ or Artistic) and GPLv2+
    - ASL 2.0
    - GPL+ or Artistic
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8.0.0]
    requires:
      perl: [5.26]
      perl-YAML: []
      platform: [el8]
  references:
    community: https://metacpan.org/release/App-cpanminus
  profiles:
    common:
      description: App-cpanminus distribution
      rpms:
      - perl-App-cpanminus
  api:
    rpms:
    - perl-App-cpanminus
  filter:
    rpms:
    - perl-Test-Deep
  buildopts:
    rpms:
      macros: |
        %_without_perl_CPAN_Meta_Check_enables_extra_test 1
  components:
    rpms:
      perl-App-cpanminus:
        rationale: The API.
        ref: f3efe5699db0e12f6cc4a889d71c2330169054b3
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-CPAN-DistnameInfo:
        rationale: Run-time dependency.
        ref: fddacea74d04f877997a487ab92485578c52970a
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-CPAN-Meta-Check:
        rationale: Run-time dependency.
        ref: c209c5ac484bc53cf6ae8c2e34b07ea95a06e387
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-File-pushd:
        rationale: Run-time dependency.
        ref: b1023ee24f98d9e807fffd6b6c4de5db2a8ad5d4
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Module-CPANfile:
        rationale: Run-time dependency.
        ref: 72cac4cd8489fd901b16c4bb4f117317870235c2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Parse-PMFile:
        rationale: Run-time dependency.
        ref: 5fd0cc269bd9a5ae3eaeddb94bb0fcfcf9512fc3
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-String-ShellQuote:
        rationale: Run-time dependency.
        ref: f08e8cca33b1c1c783629a563ce4d56dd3fd3f91
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-Deep:
        rationale: Build-time dependency.
        ref: c9a2090a088e44cd7b8b2c4bfd52b0b4ad9b96df
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - perl-App-cpanminus-0:1.7044-4.module_el8.0.0+64+b6f14b8d.noarch
    - perl-App-cpanminus-0:1.7044-4.module_el8.0.0+64+b6f14b8d.src
    - perl-CPAN-DistnameInfo-0:0.12-11.module_el8.0.0+64+b6f14b8d.noarch
    - perl-CPAN-DistnameInfo-0:0.12-11.module_el8.0.0+64+b6f14b8d.src
    - perl-CPAN-Meta-Check-0:0.014-5.module_el8.0.0+64+b6f14b8d.noarch
    - perl-CPAN-Meta-Check-0:0.014-5.module_el8.0.0+64+b6f14b8d.src
    - perl-File-pushd-0:1.014-5.module_el8.0.0+64+b6f14b8d.noarch
    - perl-File-pushd-0:1.014-5.module_el8.0.0+64+b6f14b8d.src
    - perl-Module-CPANfile-0:1.1002-6.module_el8.0.0+64+b6f14b8d.noarch
    - perl-Module-CPANfile-0:1.1002-6.module_el8.0.0+64+b6f14b8d.src
    - perl-Parse-PMFile-0:0.41-6.module_el8.0.0+64+b6f14b8d.noarch
    - perl-Parse-PMFile-0:0.41-6.module_el8.0.0+64+b6f14b8d.src
    - perl-String-ShellQuote-0:1.04-23.module_el8.0.0+64+b6f14b8d.noarch
    - perl-String-ShellQuote-0:1.04-23.module_el8.0.0+64+b6f14b8d.src
...
